Images
curl --request GET \
--url 'https://api.themoviedb.org/3/network/{network_id}/images?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/network/{network_id}/images?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/network/{network_id}/images?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 15,
"logos": [
{
"aspect_ratio": 0.9578544061302682,
"file_path": "/9O6hVu6gePt7097QdqKxxSF9Suh.png",
"file_type": ".svg",
"height": 1044,
"id": "5b03bb27925141095c02542b",
"vote_average": 5.682,
"vote_count": 11,
"width": 1000
},
{
"aspect_ratio": 1.93687707641196,
"file_path": "/12roOdtGhLUriCtk1Qwu9eD5Nab.png",
"file_type": ".svg",
"height": 301,
"id": "64284780960cde00e0bccac0",
"vote_average": 5.25,
"vote_count": 14,
"width": 583
},
{
"aspect_ratio": 1,
"file_path": "/rKm8M7QhQg1OkNFHyIoi9sE9UeZ.png",
"file_type": ".svg",
"height": 1000,
"id": "5a8776ab0e0a26401105502a",
"vote_average": 1.066,
"vote_count": 5,
"width": 1000
},
{
"aspect_ratio": 1.6,
"file_path": "/2JUxmX9VKvHIcNWlc2W2wYtktyu.png",
"file_type": ".png",
"height": 500,
"id": "65c7c765e4b576017d14ff14",
"vote_average": 0,
"vote_count": 0,
"width": 800
}
]
}Networks
Images
This endpoint is used to get the TV network logos by ID.
GET
/
3
/
network
/
{network_id}
/
images
Images
Authorizations
Path Parameters
integer
Example:
"15"
Response
200 - application/json
OK
Example:
15
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 0.9578544061302682,
"file_path": "/9O6hVu6gePt7097QdqKxxSF9Suh.png",
"file_type": ".svg",
"height": 1044,
"id": "5b03bb27925141095c02542b",
"vote_average": 5.682,
"vote_count": 11,
"width": 1000
},
{
"aspect_ratio": 1.93687707641196,
"file_path": "/12roOdtGhLUriCtk1Qwu9eD5Nab.png",
"file_type": ".svg",
"height": 301,
"id": "64284780960cde00e0bccac0",
"vote_average": 5.25,
"vote_count": 14,
"width": 583
},
{
"aspect_ratio": 1,
"file_path": "/rKm8M7QhQg1OkNFHyIoi9sE9UeZ.png",
"file_type": ".svg",
"height": 1000,
"id": "5a8776ab0e0a26401105502a",
"vote_average": 1.066,
"vote_count": 5,
"width": 1000
},
{
"aspect_ratio": 1.6,
"file_path": "/2JUxmX9VKvHIcNWlc2W2wYtktyu.png",
"file_type": ".png",
"height": 500,
"id": "65c7c765e4b576017d14ff14",
"vote_average": 0,
"vote_count": 0,
"width": 800
}
]
Was this page helpful?
⌘I